# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Container Scanning customization: https://docs.gitlab.com/ee/user/application_security/container_scanning/#customizing-the-container-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- build
- test
- deploy
build-job:
  stage: build
  script:
  - echo "Compiling the code..."
  - echo "Compile complete."
unit-test-job:
  stage: test
  script:
  - echo "Running unit tests... This will take about 60 seconds."
  - sleep 160
  - echo "Code coverage is 90%"
lint-test-job:
  stage: test
  script:
  - echo "Linting code... This will take about 10 seconds."
  - sleep 110
  - echo "No lint issues found."
deploy-job:
  stage: deploy
  environment: production
  script:
  - echo "Deploying application..."
  - echo "Application successfully deployed."
sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml
